org.restlet.engine.local

## Class FileClientHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.RestletHelper<T>
    - - org.restlet.engine.ConnectorHelper<Client>
      - - org.restlet.engine.ClientHelper
        - - org.restlet.engine.local.LocalClientHelper
          - - org.restlet.engine.local.EntityClientHelper
            - - org.restlet.engine.local.FileClientHelper

    public class FileClientHelper
    extends EntityClientHelper

Connector to the file resources accessible. Here is the list of parameters that are supported. They should be set in the Client's context before it is started:

Parameter name | Value type | Default value | Description
--- | --- | --- | ---
temporaryExtension | String | tmp | The name of the extension to use to store the temporary content while uploading content via the PUT method.
resumeUpload | boolean | false | Indicates if a failed upload can be resumed. This will prevent the deletion of the temporary file created.

Author:
  Jerome Louvel, Thierry Boileau

### Constructor Summary

Constructors
Constructor and Description
`FileClientHelper(Client client)` Constructor.

### Method Summary

Methods
`protected boolean` `checkExtensionsConsistency(java.io.File file)` Check that all extensions of the file correspond to a known metadata.
`Entity` `getEntity(java.lang.String decodedPath)` Returns a local entity for the given path.
`java.lang.String` `getTemporaryExtension()` Returns the name of the extension to use to store the temporary content while uploading content via the PUT method.
`protected void` `handleFile(Request request, Response response, java.lang.String decodedPath)`
`protected void` `handleFileDelete(Response response, java.io.File file)` Handles a DELETE call for the FILE protocol.
`protected void` `handleFilePut(Request request, Response response, java.lang.String path, java.io.File file)` Handles a PUT call for the FILE protocol.
`protected void` `handleLocal(Request request, Response response, java.lang.String decodedPath)` Handles a local call.
`boolean` `isResumeUpload()` Indicates if a failed upload can be resumed.

### Methods inherited from class org.restlet.engine.local.EntityClientHelper

`createReference, getReencodedVariantEntityName, handleEntityGet`

### Methods inherited from class org.restlet.engine.local.LocalClientHelper

`getDefaultLanguage, getTimeToLive, handle`

### Methods inherited from class org.restlet.engine.ClientHelper

`getConnectTimeout`

### Methods inherited from class org.restlet.engine.ConnectorHelper

`getConnectorService, getContext, getProtocols, start, stop, update`

### Methods inherited from class org.restlet.engine.RestletHelper

`getAttributes, getHelped, getHelpedParameters, getLogger, getMetadataService, setHelped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileClientHelper

    public FileClientHelper(Client client)

Constructor.

Parameters:
  `client` - The client to help.

### Method Detail

#### checkExtensionsConsistency

    protected boolean checkExtensionsConsistency(java.io.File file)

Check that all extensions of the file correspond to a known metadata.

Parameters:
  `file` - The file whose extensions are checked.
Returns:
  True if all extensions of the file are known by the metadata service.

#### getEntity

    public Entity getEntity(java.lang.String decodedPath)

Description copied from class: `EntityClientHelper`
Returns a local entity for the given path.

Specified by:
  `getEntity` in class `EntityClientHelper`
Parameters:
  `decodedPath` - The path of the entity.
Returns:
  A local entity for the given path.

#### getTemporaryExtension

    public java.lang.String getTemporaryExtension()

Returns the name of the extension to use to store the temporary content while uploading content via the PUT method. Defaults to "tmp".

Returns:
  The name of the extension to use to store the temporary content.

#### handleLocal

    protected void handleLocal(Request request,
                   Response response,
                   java.lang.String decodedPath)

Description copied from class: `LocalClientHelper`
Handles a local call.

Overrides:
  `handleLocal` in class `EntityClientHelper`
Parameters:
  `request` - The request to handle.
  `response` - The response to update.
  `decodedPath` - The decoded local path.

#### handleFile

    protected void handleFile(Request request,
                  Response response,
                  java.lang.String decodedPath)

#### handleFileDelete

    protected void handleFileDelete(Response response,
                        java.io.File file)

Handles a DELETE call for the FILE protocol.

Parameters:
  `response` - The response to update.
  `file` - The file or directory to delete.

#### handleFilePut

    protected void handleFilePut(Request request,
                     Response response,
                     java.lang.String path,
                     java.io.File file)

Handles a PUT call for the FILE protocol.

Parameters:
  `request` - The request to update.
  `response` - The response to update.
  `path` - The encoded path of the requested file or directory.
  `file` - The requested file or directory.

#### isResumeUpload

    public boolean isResumeUpload()

Indicates if a failed upload can be resumed. This will prevent the deletion of the temporary file created. Defaults to "false".

Returns:
  True if a failed upload can be resumed, false otherwise.